import { Some } from '../option.ts';
import {
	AbstractFileType,
	defaultHighlightOptions,
	FileLang,
	HighlightingOptions,
} from './base.ts';

export class ShellFile extends AbstractFileType {
	public override readonly name: FileLang = FileLang.Shell;
	public override readonly singleLineComment = Some('#');
	public override readonly keywords1 = [
		'case',
		'do',
		'done',
		'elif',
		'else',
		'esac',
		'fi',
		'for',
		'function',
		'if',
		'in',
		'select',
		'then',
		'time',
		'until',
		'while',
		'declare',
	];
	public override readonly keywords2 = ['set'];
	public override readonly operators = ['[[', ']]'];
	public override readonly hlOptions: HighlightingOptions = {
		...defaultHighlightOptions,
		numbers: false,
	};
}
