#!/usr/bin/env bash
set -euo pipefail
PARENT_DIR="$(dirname "$(realpath "$0")")"
TSX="$(realpath "${PARENT_DIR}/../node_modules/.bin/tsx")"

"${TSX}" --test --experimental-test-coverage \
 --test-reporter=dot \
 --test-reporter-destination=stdout \
 --test-reporter=lcov \
 --test-reporter-destination=coverage/raw/tsx.lcov './src/common/all_test.ts'

genhtml --ignore-errors inconsistent,inconsistent -o coverage/tsx coverage/raw/tsx.lcov